Dashas — Vimshottari Pranadasha
POST
/vedic/dashas/vimshottari/prana
curl -X POST https://api.astroway.info/v1/vedic/dashas/vimshottari/prana \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "date": "1947-08-15", "time": "02:00:00", "timezoneOffset": 5.5, "latitude": 27.49, "longitude": 77.67, "targetDate": "2026-05-06" }'const res = await fetch('https://api.astroway.info/v1/vedic/dashas/vimshottari/prana', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "date": "1947-08-15", "time": "02:00:00", "timezoneOffset": 5.5, "latitude": 27.49, "longitude": 77.67, "targetDate": "2026-05-06" }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/vedic/dashas/vimshottari/prana', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'date': "1947-08-15", 'time': "02:00:00", 'timezoneOffset': 5.5, 'latitude': 27.49, 'longitude': 77.67, 'targetDate': "2026-05-06" },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('vedic/dashas/vimshottari/prana', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'date' => '1947-08-15', 'time' => '02:00:00', 'timezoneOffset' => 5.5, 'latitude' => 27.49, 'longitude' => 77.67, 'targetDate' => '2026-05-06', ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Pranadasha (5th-level Dasha — finest grain). 5-level cascade. Each Prana sub-period is typically a few hours to a few days.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
Birth data for a single natal chart. Required: date (YYYY-MM-DD), time (HH:mm:ss). Defaults to lat/lon/tz=0 if omitted; pass real values for accurate computation.
object
date required
string
time required
string
timezoneOffset
number
latitude
number
longitude
number
houseSystem
string
name
string
city
string
zodiacType
string
ayanamsaId
number
cosmogram
boolean
targetDate
string
targetTime
string
targetTzOffset
number
Example
{ "date": "1947-08-15", "time": "02:00:00", "timezoneOffset": 5.5, "latitude": 27.49, "longitude": 77.67, "targetDate": "2026-05-06"}Responses
Section titled “ Responses ”Successful calculation
Media type application/json
object
ok
boolean
data
object
system
string
level
string
ayanamsa
number
nakshatra
object
number
number
name
string
ruler
string
pada
number
initial
object
initialPlanetName
string
balanceYears
number
balanceMonths
number
balanceDays
number
currentMaha
object
planet
number
planetName
string
startDate
string
endDate
string
durationYears
number
currentAntar
object
planet
number
planetName
string
startDate
string
endDate
string
durationYears
number
currentPratyantar
object
planet
number
planetName
string
startDate
string
endDate
string
durationYears
number
currentSookshma
object
planet
number
planetName
string
startDate
string
endDate
string
durationYears
number
periods
Array<object>
object
planet
number
planetName
string
startJd
number
endJd
number
startDate
string
endDate
string
durationYears
number
Example
{ "ok": true}Validation error
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.